## f_findnext

The f_findnext function searches for a next matched object

    FRESULT f_findnext (
      DIR* dp,              /* [IN] Poninter to the directory object */
      FILINFO* fno          /* [OUT] Pointer to the file information structure */
    );

#### Parameters

dp
  Pointer to the valid directory object created by `f_findfirst` function.
fno
  Pointer to the file information structure to store the information about the found directory item.

#### Return Values

FR_OK, FR_DISK_ERR, FR_INT_ERR, FR_NOT_READY, FR_INVALID_OBJECT, FR_TIMEOUT, FR_NOT_ENOUGH_CORE

#### Description

It continues the search from a previous call to the `f_findfirst` or `f_findnext` function. If found, the information about the object is stored into the file information structure. If no item to be read, a null string will be returned into `fno->fname[]`.

#### QuickInfo

This is a wrapper function of `f_readdir` function. Available when `FF_USE_FIND == 1` and `FF_FS_MINIMIZE <= 1`.

#### See Also

`f_findfirst, f_closedir, DIR, FILINFO`

Return